# $Revision: 1.8.2.1 $, $Date: 2008/09/28 21:10:06 $
%define		_lang		ro
Summary:	Romanian resources for Mozilla-firefox
Name:		mozilla-firefox-lang-%{_lang}
Version:	2.0.0.17
Release:	1
License:	GPL
Group:		I18n
Source0:	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/%{_lang}.xpi
# Source0-md5:	7f7fede94222333723b97ad2852cbf66
BuildRequires:	unzip
Requires:	mozilla-firefox >= %{version}
Provides:	mozilla-firefox-lang-resources = %{version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_firefoxdir	%{_datadir}/mozilla-firefox
%define		_chromedir	%{_firefoxdir}/chrome

%description
Romanian resources for Mozilla-firefox.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_firefoxdir}/defaults/profile}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
sed -e 's@chrome/%{_lang}\.jar@%{_lang}.jar@' $RPM_BUILD_ROOT%{_libdir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/%{_lang}.manifest
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_firefoxdir}/defaults/profile

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lang}.jar
%{_chromedir}/%{_lang}.manifest
# file conflict:
#%{_firefoxdir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-firefox-lang-ro.spec,v $
Revision 1.8.2.1  2008/09/28 21:10:06  glen
- up to 2.0.0.17

Revision 1.8  2008/05/24 18:03:43  megabajt
- changed Groups to I18n

Revision 1.7  2008-04-22 10:21:13  hawk
- updated to 2.0.0.14

Revision 1.6  2008-03-28 21:45:06  glen
- release 2

Revision 1.5  2008-03-27 13:35:27  hawk
- updated to 2.0.0.13

Revision 1.4  2007-12-03 14:00:37  glen
- 2.0.0.11

Revision 1.3  2007-11-30 17:51:39  glen
- 2.0.0.10

Revision 1.2  2007/11/04 14:55:00  glen
- 2.0.0.9

Revision 1.1  2007/10/27 15:35:58  glen
- new from 2.0.0.8

Revision 1.1  2007/10/27 15:33:27  glen
- new from 2.0.0.8
